LLVM: lldb::SBExecutionContext Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBExecutionContext Class Reference

`#include <SBExecutionContext.h>`

## Public Member Functions
| SBExecutionContext ()
| SBExecutionContext (const lldb::SBExecutionContext &rhs)
| SBExecutionContext (lldb::ExecutionContextRefSP exe_ctx_ref_sp)
| SBExecutionContext (const lldb::SBTarget &target)
| SBExecutionContext (const lldb::SBProcess &process)
| SBExecutionContext (lldb::SBThread thread)
| SBExecutionContext (const lldb::SBFrame &frame)
| ~SBExecutionContext ()
const SBExecutionContext & | operator= (const lldb::SBExecutionContext &rhs)
SBTarget | GetTarget () const
SBProcess | GetProcess () const
SBThread | GetThread () const
SBFrame | GetFrame () const

## Protected Member Functions
ExecutionContextRefSP & | GetSP () const
void | reset (lldb::ExecutionContextRefSP &event_sp)
lldb_private::ExecutionContextRef * | get () const

## Friends
class | SBCommandInterpreter

## Detailed Description

Definition at line 21 of file SBExecutionContext.h.

## Constructor & Destructor Documentation

lldb::SBExecutionContext::SBExecutionContext | ( |  | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | const lldb::SBExecutionContext & | rhs | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | lldb::ExecutionContextRefSP | exe_ctx_ref_sp | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | const lldb::SBTarget & | target | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | const lldb::SBProcess & | process | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | lldb::SBThread | thread | ) |

lldb::SBExecutionContext::SBExecutionContext | ( | const lldb::SBFrame & | frame | ) |

lldb::SBExecutionContext::~SBExecutionContext | ( |  | ) |

## Member Function Documentation

lldb_private::ExecutionContextRef* lldb::SBExecutionContext::get | ( |  | ) | const
| protected

SBFrame lldb::SBExecutionContext::GetFrame | ( |  | ) | const

SBProcess lldb::SBExecutionContext::GetProcess | ( |  | ) | const

ExecutionContextRefSP& lldb::SBExecutionContext::GetSP | ( |  | ) | const
| protected

SBTarget lldb::SBExecutionContext::GetTarget | ( |  | ) | const

SBThread lldb::SBExecutionContext::GetThread | ( |  | ) | const

const SBExecutionContext& lldb::SBExecutionContext::operator= | ( | const lldb::SBExecutionContext & | rhs | ) |

void lldb::SBExecutionContext::reset | ( | lldb::ExecutionContextRefSP & | event_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBCommandInterpreter
| friend

Definition at line 22 of file SBExecutionContext.h.

The documentation for this class was generated from the following file:

- SBExecutionContext.h